Subject: Re: Compiling X11R6.3 with your B19 patches...
From: [email-masked] (Vega International Capital LTD)

8 Mar 1998 01:11:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: Sergey Okhapkin <[email-masked]>
Cc: "'Arlindo da Silva'" <[email-masked]>,
        "[email-masked]" <[email-masked]>

The 'loop' problem persist 'cause directory xc doesn't contain doc
subdirectiry when the Makefile think that it exist. Simple workarround -
just create the empty doc subdirectory (if you don't like to d/l
appropriate file) and have fun with X11R6.3!

Sincerely,
Maxim
Sergey Okhapkin wrote:
> 
> Arlindo da Silva wrote:
> > 1) When I tried "make -i World" on a freshly patched xc (I only got
> >    xc-1.tar.gz) I got the following error during the bootstrap
> >    phase:
> >
> > making imake with BOOTSTRAPCFLAGS= in config/imake
> > cc -o ccimake  -O -I../../include -I../../imports/x11/include/X11
> ccimake.c
> > cc: not found
> 
> I modified setup instructions - make a symlink from gcc.exe to cc.
> 
> >
> > My quick and dirty fix was to copy gcc.exe to cc.exe. I had the same
> > problem with your previous b18 patch. A better fix would be to
> > patch the Makefile which has "cc" hardwired.
> 
> I don't want to patch makefiles - with my patch installed X11 distribution
> may be compiled on any platform!
> 
> >
> > 2) With this fix, "make -i World" goes into an infinite loop during
> >    the "make Makefiles" phase. Probable reason: I only downloaded
> >    xc-1.tar.gz, so some directories are missing, and recursive makefiles
> >    have several "cd .." after a failed "cd".
> 
> What cd fails? Unfortunately, I have no "loop" problem... Probably, the
> problem is because of missed "cc"? Would you like to try to rebuild X11
> from the scratch with cc linked to gcc?
> 
> >
> >    Quick & Dirty fix:  kill it after at least one loop is complete
> >    and continue manually:
> >
> >    make include
> >    make
> >    make install
> >
> > 3) I was not able to build 'xterm', gcc died with an internal error:
> >
> > gcc -O2 -s -mpentium     -I../.. -I../../exports/include  -D__i386__
> -DX_LOCALE
> > -D_MT -DNO_TCP_H   -DFUNCPROTO=15 -DNARROWPROTO     -c button.c -o
> button.o
> > gcc: Internal compiler error: program cc1 got fatal signal 6
> > make: *** [button.o] Error 1
> >
> 
> It's a bug of b19 gcc (egcs works fine). The workaround:
> 1. cd to xc/programs/xterm and edit Makefile - change -O2 to -O (two
> occurences).
> 2. run make.
> 
> --
> Sergey Okhapkin
> Moscow, Russia
> Looking for a job
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".